Name:		python-passlib
Version:	1.7.4
Release:	%mkrel 1
Summary:	Comprehensive password hashing framework supporting over 20 schemes
Group:		Development/Python

License:	BSD and Beerware and Copyright only
URL:		http://passlib.googlecode.com
Source0:	https://pypi.io/packages/source/p/passlib/passlib-%{version}.tar.xz

BuildArch:	noarch
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.

%package -n python3-passlib
Summary:	Python library to display tabular data in tables
Group:		Development/Python
%{?python_provide:%python_provide python3-passlib}

%description -n python3-passlib
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.


%prep
%setup -q -n passlib-%{version}

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

%files -n python3-passlib
%doc LICENSE README
%{python3_sitelib}/*


%changelog
* Tue Aug 09 2022 TerryN <terryn94 at gmail.com> 1.7.4-1pclos2022
- update rebuild for python 3.10

* Fri Jan 31 2020 tex - 1.7.2-1pclos2020
- update
